Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.impl.calendar
Class MonthlyCalendar

    java.lang.Object
      org.quartz.impl.calendar.BaseCalendar
          org.quartz.impl.calendar.MonthlyCalendar

All Implemented Interfaces:
  Calendar, Serializable

public class MonthlyCalendar
extends BaseCalendar
implements Calendar, Serializable

This implementation of the Calendar excludes a set of days of the month. You may use it to exclude every 1. of each month for example. But you may define any day of a month.

Author:
  Juergen Donnerstag
See Also:
  `Calendar`, `BaseCalendar`, Serialized Form

Field Summary

Fields inherited from interface org.quartz.Calendar
`MONTH`

Constructor Summary
`MonthlyCalendar()` Constructor
`MonthlyCalendar(Calendar baseCalendar)` Constructor

Method Summary
`boolean` | `areAllDaysExcluded()` Check if all days are excluded.
`boolean[]` | `getDaysExcluded()` Get the array which defines the exclude-value of each day of month
`long` | `getNextIncludedTime(long timeStamp)` Determine the next time (in milliseconds) that is 'included' by the Calendar after the given time.
`boolean` | `isDayExcluded(int day)` Return true, if mday is defined to be exluded.
`boolean` | `isTimeIncluded(long timeStamp)` Determine whether the given time (in milliseconds) is 'included' by the Calendar.
`void` | `setDayExcluded(int day, boolean exclude)` Redefine a certain day of the month to be excluded (true) or included (false).
`void` | `setDaysExcluded(boolean[] days)` Redefine the array of days excluded.

Methods inherited from class org.quartz.impl.calendar.BaseCalendar
`buildHoliday, buildHoliday, getBaseCalendar, getDescription, getJavaCalendar, setBaseCalendar, setDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.quartz.Calendar
`getBaseCalendar, getDescription, setBaseCalendar, setDescription`

Constructor Detail

### MonthlyCalendar

    public MonthlyCalendar()

  Constructor

### MonthlyCalendar

    public MonthlyCalendar(Calendar baseCalendar)

  Constructor

Method Detail

### getDaysExcluded

    public boolean[] getDaysExcluded()

  Get the array which defines the exclude-value of each day of month

### isDayExcluded

    public boolean isDayExcluded(int day)

  Return true, if mday is defined to be exluded.

### setDaysExcluded

    public void setDaysExcluded(boolean[] days)

  Redefine the array of days excluded. The array must of size greater or equal 31.

### setDayExcluded

    public void setDayExcluded(int day,
                               boolean exclude)

  Redefine a certain day of the month to be excluded (true) or included (false).

### areAllDaysExcluded

    public boolean areAllDaysExcluded()

  Check if all days are excluded. That is no day is included.

  Returns:
    boolean

### isTimeIncluded

    public boolean isTimeIncluded(long timeStamp)

  Determine whether the given time (in milliseconds) is 'included' by the Calendar.

  Note that this Calendar is only has full-day precision.

  Specified by:
    `isTimeIncluded` in interface `Calendar`
  Overrides:
    `isTimeIncluded` in class `BaseCalendar`
  See Also:
    `Calendar.isTimeIncluded(long)`

### getNextIncludedTime

    public long getNextIncludedTime(long timeStamp)

  Determine the next time (in milliseconds) that is 'included' by the Calendar after the given time. Return the original value if timeStamp is included. Return 0 if all days are excluded.

  Note that this Calendar is only has full-day precision.

  Specified by:
    `getNextIncludedTime` in interface `Calendar`
  Overrides:
    `getNextIncludedTime` in class `BaseCalendar`
  See Also:
    `Calendar.getNextIncludedTime(long)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Quartz Enterprise Job Scheduler Project Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD